Function
computeSplitters
Compute splitters for a sequence of objects.
computeSplitters(splitters, size, count)
Include Headers
seqan/parallel.h
Parameters

splitters | Resulting splitters, will be resized to contain count + 1 elements. Types: Alloc String
size | The number of objects to split.
count | The number of chunks.

Remarks
The first count - 1 chunks will have the size ceil(size / count), the last chunk will contain the rest.
Examples
Most simple case for splitting.
String<unsigned> splitters;
computeSplitters(splitters, 10, 5);
// splitters == {0, 5, 10}
In this case, the last chunks will stay empty.
computeSplitters(splitters, 3, 5);
// splitters == {0, 1, 2, 3, 3, 3}
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58